%define name	polyxdef
%define version	0.7.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	Polymer design GUI from polyxmass
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.polyxmass.org/polyxdef/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gettext bison
BuildRequires:	libglade2.0-devel gtk-doc
BuildRequires:	ImageMagick
BuildRequires:	pxmutils-devel pxmchem-devel polyxmassdata
Requires:	polyxmassdata

%description
polyxdef is a GUI (graphical user interface) program that enable the user to
define a brand new polymer chemistry from scratch by defining the chemical
properties of a given polymer. 

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_docdir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="PolyXDef" longtitle="Polymer design GUI" section="Applications/Sciences/Chemistry"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 48x48 glade/polyxdef-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
convert -size 32x32 glade/polyxdef-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
convert -size 16x16 glade/polyxdef-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING README THANKS
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/polyxmass.d/*
%{_mandir}/man1/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Feb 25 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- initial package
